# Distributed under the terms of the GNU General Public License v2
# By Jens Gutzeit <jens@freebsdforum.de> based on the net-irc/xchat ebuild

inherit flag-o-matic

DESCRIPTION="Graphical PCRE RegExp Explorer"
SRC_URI="http://dentrassi.de/download/gregexp/0.3/${P}.tar.gz"
HOMEPAGE="http://dentrassi.de/download/gregexp"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~sparc ~hppa ~ppc alpha ~amd64 ia64"

DEPEND=">=dev-libs/glib-2.0.3
	>=x11-libs/gtk+-2.0.3
	>=dev-util/pkgconfig-0.7
	>=gnome-base/libglade-2
	>=gnome-base/libgnomeui-2"

src_compile() {
	econf || die "Configure failed"
	emake || die "Compile failed"
}

src_install() {
	einstall install || die "Install failed"
	dodoc AUTHORS COPYING ChangeLog README*
}
