Summary: A graphical regular expression explorer
Name: gregexp
Version: 0.3
Release: fc2
License: GPL
Group: Development/Tools
URL: http://dentrassi.de/download/gregexp
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pcre-devel
BuildRequires: gtk2-devel >= 2.0.0, libglade2-devel >= 2.0.0
BuildRequires: intltool

%description
A graphical regular expression explorer with uses PCRE as regular expression
engine. Therefore UTF-8 strings are supported out of the box.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications

desktop-file-install --vendor gnome --delete-original \
       --add-category X-Red-Hat-Base                 \
       --add-category Development                    \
       --dir %{buildroot}%{_datadir}/applications    \
       %{buildroot}%{_datadir}/applications/gregexp.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS TODO README COPYING INSTALL
%{_bindir}/gregexp
%{_datadir}/applications/*.desktop
%{_datadir}/gregexp/glade/*.glade
%{_datadir}/pixmaps/gregexp.png

%changelog
* Thu Mar 03 2004 Jens Reimann <ctron@dentrassi.de>
- Release 0.2

* Fri Feb 27 2004 Jens Reimann <ctron@dentrassi.de> 
- Initial build.


